Index: palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- palm/trunk/SOURCE/ocean_mod.f90	(revision 4796)
+++ palm/trunk/SOURCE/ocean_mod.f90	(revision 4797)
@@ -1709,8 +1689,8 @@
           IF ( timestep_scheme(1:5) == 'runge' )  THEN
              IF ( ws_scheme_sca )  THEN
-                CALL advec_s_ws( advc_flags_s, sa, 'sa',                       &
-                                 bc_dirichlet_l  .OR.  bc_radiation_l,         &
-                                 bc_dirichlet_n  .OR.  bc_radiation_n,         &
-                                 bc_dirichlet_r  .OR.  bc_radiation_r,         &
+                CALL advec_s_ws( advc_flags_s, sa, 'sa',                                           &
+                                 bc_dirichlet_l  .OR.  bc_radiation_l,                             &
+                                 bc_dirichlet_n  .OR.  bc_radiation_n,                             &
+                                 bc_dirichlet_r  .OR.  bc_radiation_r,                             &
                                  bc_dirichlet_s  .OR.  bc_radiation_s )
              ELSE
@@ -1722,14 +1702,14 @@
        ENDIF
 
-       CALL diffusion_s( sa,                                                   &
-                         surf_def_h(0)%sasws, surf_def_h(1)%sasws,             &
-                         surf_def_h(2)%sasws,                                  &
-                         surf_lsm_h(0)%sasws, surf_lsm_h(1)%sasws,             &
-                         surf_usm_h(0)%sasws, surf_usm_h(1)%sasws,             &
-                         surf_def_v(0)%sasws, surf_def_v(1)%sasws,             &
-                         surf_def_v(2)%sasws, surf_def_v(3)%sasws,             &
-                         surf_lsm_v(0)%sasws, surf_lsm_v(1)%sasws,             &
-                         surf_lsm_v(2)%sasws, surf_lsm_v(3)%sasws,             &
-                         surf_usm_v(0)%sasws, surf_usm_v(1)%sasws,             &
+       CALL diffusion_s( sa,                                                                       &
+                         surf_def_h(0)%sasws, surf_def_h(1)%sasws,                                 &
+                         surf_def_h(2)%sasws,                                                      &
+                         surf_lsm_h(0)%sasws, surf_lsm_h(1)%sasws,                                 &
+                         surf_usm_h(0)%sasws, surf_usm_h(1)%sasws,                                 &
+                         surf_def_v(0)%sasws, surf_def_v(1)%sasws,                                 &
+                         surf_def_v(2)%sasws, surf_def_v(3)%sasws,                                 &
+                         surf_lsm_v(0)%sasws, surf_lsm_v(1)%sasws,                                 &
+                         surf_lsm_v(2)%sasws, surf_lsm_v(3)%sasws,                                 &
+                         surf_usm_v(0)%sasws, surf_usm_v(1)%sasws,                                 &
                          surf_usm_v(2)%sasws, surf_usm_v(3)%sasws )
 
@@ -1743,11 +1723,9 @@
              !DIR$ IVDEP
              DO  k = nzb+1, nzt
-                sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +            &
-                                                      tsc(3) * tsa_m(k,j,i) )        &
-                                                  - tsc(5) * rdf_sc(k) *             &
-                                                    ( sa(k,j,i) - sa_init(k) )       &
-                                          )                                          &
-                                            * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_total_0(k,j,i), 0 ) &
+                sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) + tsc(3) * tsa_m(k,j,i) )  &
+                                            - tsc(5) * rdf_sc(k) * ( sa(k,j,i) - sa_init(k) )      &
+                                          )                                                        &
+                                            * MERGE( 1.0_wp, 0.0_wp,                               &
+                                                     BTEST( wall_flags_total_0(k,j,i), 0 )         &
                                                    )
                 IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
@@ -1767,11 +1745,9 @@
                 ENDDO
              ENDDO
-          ELSEIF ( intermediate_timestep_count < intermediate_timestep_count_max ) &
-          THEN
+          ELSEIF ( intermediate_timestep_count < intermediate_timestep_count_max )  THEN
              DO  i = nxl, nxr
                 DO  j = nys, nyn
                    DO  k = nzb+1, nzt
-                      tsa_m(k,j,i) =   -9.5625_wp * tend(k,j,i) +              &
-                                        5.3125_wp * tsa_m(k,j,i)
+                      tsa_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tsa_m(k,j,i)
                    ENDDO
                 ENDDO
@@ -1793,38 +1769,42 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Prognostic equations for ocean mode (so far, salinity only)
 !> Cache-optimized version
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_prognostic_equations_ij( i, j, i_omp_start, tn )
 
-    USE advec_s_pw_mod,                                                        &
+    USE advec_s_pw_mod,                                                                            &
         ONLY:  advec_s_pw
 
-    USE advec_s_up_mod,                                                        &
+    USE advec_s_up_mod,                                                                            &
         ONLY:  advec_s_up
 
-    USE advec_ws,                                                              &
+    USE advec_ws,                                                                                  &
         ONLY:  advec_s_ws
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  diss_l_sa, diss_s_sa, flux_l_sa, flux_s_sa, rdf_sc, tend, tsa_m
 
-    USE control_parameters,                                                    &
-        ONLY:  bc_dirichlet_l,                                                 &
-               bc_dirichlet_n,                                                 &
-               bc_dirichlet_r,                                                 &
-               bc_dirichlet_s,                                                 &
-               bc_radiation_l,                                                 &
-               bc_radiation_n,                                                 &
-               bc_radiation_r,                                                 &
-               bc_radiation_s,                                                 &
-               dt_3d, intermediate_timestep_count,                             &
-               intermediate_timestep_count_max, simulated_time,                &
-               timestep_scheme, tsc, ws_scheme_sca
-
-    USE diffusion_s_mod,                                                       &
+    USE control_parameters,                                                                        &
+        ONLY:  bc_dirichlet_l,                                                                     &
+               bc_dirichlet_n,                                                                     &
+               bc_dirichlet_r,                                                                     &
+               bc_dirichlet_s,                                                                     &
+               bc_radiation_l,                                                                     &
+               bc_radiation_n,                                                                     &
+               bc_radiation_r,                                                                     &
+               bc_radiation_s,                                                                     &
+               dt_3d,                                                                              &
+               intermediate_timestep_count,                                                        &
+               intermediate_timestep_count_max,                                                    &
+               simulated_time,                                                                     &
+               timestep_scheme,                                                                    &
+               tsc,                                                                                &
+               ws_scheme_sca
+
+    USE diffusion_s_mod,                                                                           &
         ONLY:  diffusion_s
 
@@ -1832,6 +1812,5 @@
 
     INTEGER(iwp) ::  i             !< loop index x direction
-    INTEGER(iwp) ::  i_omp_start   !< first loop index of i-loop in calling    &
-                                   !< routine prognostic_equations
+    INTEGER(iwp) ::  i_omp_start   !< first loop index of i-loop in calling routine prognostic_equations
     INTEGER(iwp) ::  j             !< loop index y direction
     INTEGER(iwp) ::  k             !< loop index z direction
@@ -1842,5 +1821,5 @@
 !-- Switch of the surface heat flux, if requested
     IF ( surface_cooling_spinup_time /= 999999.9_wp )  THEN
-       IF ( .NOT. surface_cooling_switched_off  .AND.                          &
+       IF ( .NOT. surface_cooling_switched_off  .AND.                                              &
             simulated_time >= surface_cooling_spinup_time )  THEN
 
@@ -1852,18 +1831,17 @@
 
 !
-!-- Compute prognostic equations for the ocean mode
-!-- First, start with tendency-terms for salinity
+!-- Compute prognostic equations for the ocean mode.
+!-- First, start with tendency-terms for salinity.
     IF ( salinity )  THEN
 
        tend(:,j,i) = 0.0_wp
-       IF ( timestep_scheme(1:5) == 'runge' ) &
-       THEN
+       IF ( timestep_scheme(1:5) == 'runge' )  THEN
           IF ( ws_scheme_sca )  THEN
-             CALL advec_s_ws( advc_flags_s,                                    &
-                              i, j, sa, 'sa', flux_s_sa,  diss_s_sa, flux_l_sa,&
-                              diss_l_sa, i_omp_start, tn,                      &
-                              bc_dirichlet_l  .OR.  bc_radiation_l,            &
-                              bc_dirichlet_n  .OR.  bc_radiation_n,            &
-                              bc_dirichlet_r  .OR.  bc_radiation_r,            &
+             CALL advec_s_ws( advc_flags_s,                                                        &
+                              i, j, sa, 'sa', flux_s_sa,  diss_s_sa, flux_l_sa, diss_l_sa,         &
+                              i_omp_start, tn,                                                     &
+                              bc_dirichlet_l  .OR.  bc_radiation_l,                                &
+                              bc_dirichlet_n  .OR.  bc_radiation_n,                                &
+                              bc_dirichlet_r  .OR.  bc_radiation_r,                                &
                               bc_dirichlet_s  .OR.  bc_radiation_s )
           ELSE
@@ -1873,15 +1851,14 @@
           CALL advec_s_up( i, j, sa )
        ENDIF
-       CALL diffusion_s( i, j, sa,                                             &
-                         surf_def_h(0)%sasws, surf_def_h(1)%sasws,             &
-                         surf_def_h(2)%sasws,                                  &
-                         surf_lsm_h(0)%sasws, surf_lsm_h(1)%sasws,             &
-                         surf_usm_h(0)%sasws, surf_usm_h(1)%sasws,             &
-                         surf_def_v(0)%sasws, surf_def_v(1)%sasws,             &
-                         surf_def_v(2)%sasws, surf_def_v(3)%sasws,             &
-                         surf_lsm_v(0)%sasws, surf_lsm_v(1)%sasws,             &
-                         surf_lsm_v(2)%sasws, surf_lsm_v(3)%sasws,             &
-                         surf_usm_v(0)%sasws, surf_usm_v(1)%sasws,             &
-                         surf_usm_v(2)%sasws, surf_usm_v(3)%sasws )
+       CALL diffusion_s( i, j, sa,                                                                 &
+                         surf_def_h(0)%sasws, surf_def_h(1)%sasws, surf_def_h(2)%sasws,            &
+                         surf_lsm_h(0)%sasws, surf_lsm_h(1)%sasws,                                 &
+                         surf_usm_h(0)%sasws, surf_usm_h(1)%sasws,                                 &
+                         surf_def_v(0)%sasws, surf_def_v(1)%sasws, surf_def_v(2)%sasws,            &
+                         surf_def_v(3)%sasws,             &
+                         surf_lsm_v(0)%sasws, surf_lsm_v(1)%sasws, surf_lsm_v(2)%sasws,            &
+                         surf_lsm_v(3)%sasws,             &
+                         surf_usm_v(0)%sasws, surf_usm_v(1)%sasws, surf_usm_v(2)%sasws,            &
+                         surf_usm_v(3)%sasws )
 
 !       CALL user_actions( i, j, 'sa-tendency' ) ToDo: find general solution for dependency between modules
@@ -1891,11 +1868,9 @@
        DO  k = nzb+1, nzt
 
-          sa_p(k,j,i) = sa(k,j,i) + ( dt_3d *                                  &
-                                              ( tsc(2) * tend(k,j,i) +         &
-                                                tsc(3) * tsa_m(k,j,i) )        &
-                                    - tsc(5) * rdf_sc(k)                       &
-                                             * ( sa(k,j,i) - sa_init(k) )      &
-                                    ) * MERGE( 1.0_wp, 0.0_wp,                 &
-                                         BTEST( wall_flags_total_0(k,j,i), 0 ) )
+          sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( tsc(2) * tend(k,j,i) + tsc(3) * tsa_m(k,j,i) )     &
+                                    - tsc(5) * rdf_sc(k) * ( sa(k,j,i) - sa_init(k) )              &
+                                    ) * MERGE( 1.0_wp, 0.0_wp,                                     &
+                                               BTEST( wall_flags_total_0(k,j,i), 0 )               &
+                                             )
 
           IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
@@ -1910,9 +1885,7 @@
                 tsa_m(k,j,i) = tend(k,j,i)
              ENDDO
-          ELSEIF ( intermediate_timestep_count < intermediate_timestep_count_max ) &
-          THEN
+          ELSEIF ( intermediate_timestep_count < intermediate_timestep_count_max )  THEN
              DO  k = nzb+1, nzt
-                tsa_m(k,j,i) =   -9.5625_wp * tend(k,j,i) +                    &
-                                  5.3125_wp * tsa_m(k,j,i)
+                tsa_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tsa_m(k,j,i)
              ENDDO
           ENDIF
@@ -1927,9 +1900,9 @@
  END SUBROUTINE ocean_prognostic_equations_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Boundary conditions for ocean model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_boundary_conditions
 
@@ -1943,7 +1916,6 @@
 
 !
-!--    Boundary conditions for salinity
-!--    Bottom boundary: Neumann condition because salinity flux is always
-!--    given.
+!--    Boundary conditions for salinity.
+!--    Bottom boundary: Neumann condition because salinity flux is always given.
        DO  l = 0, 1
           !$OMP PARALLEL DO PRIVATE( i, j, k )
@@ -1965,9 +1937,9 @@
  END SUBROUTINE ocean_boundary_conditions
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Swapping of timelevels.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_swap_timelevel( mod_count )
 
@@ -1994,13 +1966,13 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_rrd_global_ftn( found )
 
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY: length, restart_string
 
@@ -2063,9 +2035,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_rrd_global_mpi
 
@@ -2088,20 +2060,19 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
- SUBROUTINE ocean_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,           &
-                                 nxr_on_file, nynf, nync, nyn_on_file, nysf,       &
-                                 nysc, nys_on_file, tmp_3d, found )
-
-    USE averaging,                                                             &
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE ocean_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc, nxr_on_file, nynf, nync,  &
+                                 nyn_on_file, nysf, nysc, nys_on_file, tmp_3d, found )
+
+    USE averaging,                                                                                 &
         ONLY:  rho_ocean_av, sa_av
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  length, restart_string
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nbgp, nxlg, nxrg, nyng, nysg, nzb, nzt
 
@@ -2127,5 +2098,7 @@
     LOGICAL, INTENT(OUT)  ::  found
 
-    REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !<
+    REAL(wp),                                                                                      &
+       DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp)    &
+       :: tmp_3d   !<
 
 
@@ -2139,11 +2112,11 @@
           ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_3d
-          rho_ocean_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =            &
-                              tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+          rho_ocean_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                &
+                                                   tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
        CASE ( 'sa' )
           IF ( k == 1 )  READ ( 13 )  tmp_3d
-          sa(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                      &
-                              tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+          sa(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                          &
+                                                   tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
        CASE ( 'sa_av' )
@@ -2152,6 +2125,6 @@
           ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_3d
-          sa_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                   &
-                              tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+          sa_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
+                                                   tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
        CASE DEFAULT
@@ -2163,15 +2136,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_rrd_local_mpi
 
-    USE averaging,                                                             &
+    USE averaging,                                                                                 &
         ONLY:  rho_ocean_av, sa_av
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nxlg, nxrg, nyng, nysg, nzb, nzt
 
@@ -2183,5 +2156,6 @@
     CALL rd_mpi_io_check_array( 'rho_ocean_av' , found = array_found )
     IF ( array_found )  THEN
-       IF ( .NOT. ALLOCATED( rho_ocean_av ) )  ALLOCATE( rho_ocean_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+       IF ( .NOT. ALLOCATED( rho_ocean_av ) )                                                      &
+          ALLOCATE( rho_ocean_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
        CALL rrd_mpi_io( 'rho_ocean_av', rho_ocean_av )
     ENDIF
@@ -2198,9 +2172,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine writes the respective restart data for the ocean module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_wrd_global
 
@@ -2258,5 +2232,6 @@
        CALL wrd_mpi_io_global_array( 'sa_vertical_gradient', sa_vertical_gradient )
        CALL wrd_mpi_io_global_array( 'sa_vertical_gradient_level', sa_vertical_gradient_level )
-       CALL wrd_mpi_io_global_array( 'sa_vertical_gradient_level_ind', sa_vertical_gradient_level_ind )
+       CALL wrd_mpi_io_global_array( 'sa_vertical_gradient_level_ind',                             &
+                                     sa_vertical_gradient_level_ind )
        CALL wrd_mpi_io( 'stokes_waveheight', stokes_waveheight )
        CALL wrd_mpi_io( 'stokes_wavelength', stokes_wavelength )
@@ -2271,12 +2246,12 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine writes the respective restart data for the ocean module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE ocean_wrd_local
 
-    USE averaging,                                                             &
+    USE averaging,                                                                                 &
         ONLY:  rho_ocean_av, sa_av
 
@@ -2310,27 +2285,26 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> This routine calculates the Craik Leibovich vortex force and the additional
-!> effect of the Stokes drift on the Coriolis force
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> This routine calculates the Craik Leibovich vortex force and the additional effect of the Stokes
+!> drift on the Coriolis force.
 !> Call for all gridpoints.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE stokes_drift_terms( component )
 
-    USE arrays_3d,                                                             &
-        ONLY:  ddzu, u, u_stokes_zu, u_stokes_zw, v, v_stokes_zu,              &
-               v_stokes_zw, w, tend
-
-    USE basic_constants_and_equations_mod,                                     &
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu, u, u_stokes_zu, u_stokes_zw, v, v_stokes_zu, v_stokes_zw, w, tend
+
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  pi
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  f, fs, message_string, rotation_angle
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  ddx, ddy
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nxl, nxr, nys, nysv, nyn, nzb, nzt
 
@@ -2344,4 +2318,5 @@
     REAL(wp)     ::  cos_rot_angle  !< cosine of model rotation angle
     REAL(wp)     ::  sin_rot_angle  !< sine of model rotation angle
+
 
 !
@@ -2355,9 +2330,9 @@
              DO  j = nysv, nyn
                 DO  k = nzb+1, nzt
-                   tend(k,j,i) = tend(k,j,i) + v_stokes_zu(k) * (              &
-                                   0.5 * ( v(k,j+1,i) - v(k,j+1,i-1)           &
-                                         + v(k,j,i)   - v(k,j,i-1)   ) * ddx   &
-                                 - 0.5 * ( u(k,j+1,i) - u(k,j-1,i) )   * ddy   &
-                                                                )              &
+                   tend(k,j,i) = tend(k,j,i) + v_stokes_zu(k) * (                                  &
+                                                  0.5 * ( v(k,j+1,i) - v(k,j+1,i-1)                &
+                                                        + v(k,j,i)   - v(k,j,i-1)   ) * ddx        &
+                                                - 0.5 * ( u(k,j+1,i) - u(k,j-1,i) )   * ddy        &
+                                                                )                                  &
                                  + f * v_stokes_zu(k)
                 ENDDO
@@ -2371,8 +2346,8 @@
              DO  j = nysv, nyn
                 DO  k = nzb+1, nzt
-                   tend(k,j,i) = tend(k,j,i) - u_stokes_zu(k) * (              &
-                                   0.5 * ( v(k,j,i+1) - v(k,j,i-1) )   * ddx   &
-                                 - 0.5 * ( u(k,j,i) - u(k,j-1,i)               &
-                                         + u(k,j,i+1) - u(k,j-1,i+1) ) * ddy   &
+                   tend(k,j,i) = tend(k,j,i) - u_stokes_zu(k) * (                                  &
+                                                  0.5 * ( v(k,j,i+1) - v(k,j,i-1) )   * ddx        &
+                                                - 0.5 * ( u(k,j,i) - u(k,j-1,i)                    &
+                                                        + u(k,j,i+1) - u(k,j-1,i+1) ) * ddy        &
                                                                 )              &
                                  - f * u_stokes_zu(k)
